<?php /*a:4:{s:83:"F:\wpf\WpfApp1\WpfApp1\bin\x64\Debug\web\im\application\admin\view\auth\access.html";i:1577883012;s:85:"F:\wpf\WpfApp1\WpfApp1\bin\x64\Debug\web\im\application\admin\view\public\header.html";i:1600177824;s:85:"F:\wpf\WpfApp1\WpfApp1\bin\x64\Debug\web\im\application\admin\view\public\dialog.html";i:1583543918;s:85:"F:\wpf\WpfApp1\WpfApp1\bin\x64\Debug\web\im\application\admin\view\public\footer.html";i:1583731204;}*/ ?>
 <!-- 头部 -->
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title><?php echo htmlentities((isset($meta_title) && ($meta_title !== '')?$meta_title:"")); ?>|<?php echo api('SITE_NAME'); ?>后台管理</title>
   <link rel="stylesheet" href="/im/public/common/iconfont.css">
	<link rel="stylesheet" href="/im/public/admin/css/style.css" />
	<script type="text/javascript" src="/im/public/common/jquery.min.js" ></script>
   <script type="text/javascript" src="/im/public/common/layer/layer.js"></script>
   <script type="text/javascript" src="/im/public/common/file.js"></script> 	
<script type="text/javascript" src="/im/public/common/laydate/laydate.js"></script> 
	<!-- 自定义弹窗-->
    <script>
	var dialog_style ="<?php echo api('DIALOG_STYLE'); ?>";
	var index_url="<?php echo url('index/index'); ?>";
	$(".logo").click(function(){
	   location.href=index_url;
	});
</script>
  <!--引入改进型easydialog弹窗 -->	
<?php if(api('DIALOG_STYLE') == '1'): ?>	
	<link rel="stylesheet" href="/im/public/admin/css/global.css">
	<link rel="stylesheet" href="/im/public/admin/css/animate.css">
	<link rel="stylesheet" href="/im/public/admin/css/dialog.css">
	<style>
		.div-testDialog{
			width: 500px;
			height: auto;
			margin: 50px auto;
		}

		.div-testDialog button{
			margin:  10px;
		}
		@media screen and ( max-width: 460px){
			.div-testDialog{
				width: 90%;
			}
		}
   </style>
<script src="/im/public/admin/js/dialog.js"></script>	
<?php endif; ?>

	</head>
	<body>
		<div class="top header" style="background:<?php echo api('COLOR'); ?>">
			<div class="logo"></div>
			<ul class="main_links">
		          
				  <li class='menubar'>
                 <a>
					<div class="toggler">

                      <span class="bar"></span>
                      <span class="bar"></span>
                      <span class="bar"></span>
                    </div>
                  </a>
                </li>
					<?php if(isset($group)): ?>    
                        <!-- 欢迎语 -->
						   <?php if(is_array($group) || $group instanceof \think\Collection || $group instanceof \think\Paginator): $i = 0; $__LIST__ = $group;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?>
                            <li class="<?php if($group_id == $vo['id']): ?>active<?php endif; ?>"><a href="<?php echo htmlentities(get_group_url($vo['id'])); ?>"><?php echo htmlentities((isset($vo['title']) && ($vo['title'] !== '')?$vo['title']:"")); ?> </a>
							
							</li>
					<?php endforeach; endif; else: echo "" ;endif; ?>  
							
			  <li><a href="<?php echo site_url(); ?>" target="_blank">前台</a></li>
                <?php endif; ?>
			</ul>	
			<div  id="user_info" class="user_info">
			<img src="/im/public/admin/images/users.png" height='20px'><a href="<?php echo url('user/edit',array('id'=>is_login())); ?>" id="user_icon"><?php echo get_username(); ?></a>
				
			<ul id="dropdown-menu" class="dropdown-menu" ><li >
                    	<a href="<?php echo url('user/edit',array('id'=>is_login())); ?>" id="user_icon"> 基本资料</a>
                  </li> <li >
                   	<a href="<?php echo url('login/logout'); ?>" >退出</a>
                  </li></ul>	
			</div>
			
		<script>	
	
	       var oDiv3 = document.getElementById('user_info');
			var oDiv4 = document.getElementById('dropdown-menu');
			var timer2 = null;
			oDiv3.onmouseover = oDiv4.onmouseover = function (){	
				oDiv4.style.display = 'block';
				clearTimeout(timer2);
			}
			oDiv3.onmouseout = oDiv4.onmouseout = function (){
				//寮€瀹氭椂鍣�
				timer2 = setTimeout(function () { 
				oDiv4.style.display = 'none'; },3000);
			}

	</script>	

		</div>
	    <div class="main">
			<div class="nav_tree" style="">
				<div class="innerUl"><?php if(is_array($sidebar) || $sidebar instanceof \think\Collection || $sidebar instanceof \think\Paginator): $i = 0; $__LIST__ = $sidebar;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?> 
				<div class="wrapper">
<div class='tit'><a  href="javascript:vod(0);" id="<?php echo htmlentities($vo['id']); ?>" href="<?php echo htmlentities($vo['url']); ?>"><span class="icon iconfont <?php echo htmlentities((isset($vo['font']) && ($vo['font'] !== '')?$vo['font']:'icon-xitong1')); ?>" id="lft"></span> <span class='name'><?php echo htmlentities($vo['title']); ?></span></a><span class="rgt icon iconfont icon-arrow"></span></div>

<ul class="menuUl" id="child" style='display:;'><?php if(is_array($vo['child']) || $vo['child'] instanceof \think\Collection || $vo['child'] instanceof \think\Paginator): $i = 0; $__LIST__ = $vo['child'];if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo1): $mod = ($i % 2 );++$i;?><li><a id="<?php echo htmlentities($vo1['id']); ?>" href="<?php echo htmlentities($vo1['url']); ?>"><?php echo htmlentities($vo1['title']); ?></a>

<ul class="menuUl"><?php if(is_array($vo1['child']) || $vo1['child'] instanceof \think\Collection || $vo1['child'] instanceof \think\Paginator): $i = 0; $__LIST__ = $vo1['child'];if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo2): $mod = ($i % 2 );++$i;?><li><a id="<?php echo htmlentities($vo2['id']); ?>"href="<?php echo htmlentities($vo2['url']); ?>"><?php echo htmlentities($vo2['title']); ?></a></li><?php endforeach; endif; else: echo "" ;endif; ?>

</ul></li><?php endforeach; endif; else: echo "" ;endif; ?></ul>
</div>
<?php endforeach; endif; else: echo "" ;endif; ?>
		         </div>
	    </div>
		
	     <script type="text/javascript">
		 	$(".menubar").click(function(){
				 $('.nav_tree').toggleClass('w80');

				 if ( $('.nav_tree').hasClass('w80')) {
		              $(".innerUl #child").hide();		
					  $(".innerUl .name,.innerUl .rgt").hide();
	            }else{
		           $(".innerUl #child").show();
				   $(".innerUl .name,.innerUl .rgt").show();
	            }
			
				
          });
		  $(".innerUl #lft").mouseover(function(){
                 $(".innerUl .name,.innerUl .rgt").show();
				 $('.nav_tree').removeClass('w80');
                if ( $('.nav_tree').hasClass('w80')) {
		              $(".innerUl #child").hide();		
					  $(".innerUl .name,.innerUl .rgt").hide();
	            }else{
		           $(".innerUl #child").show();
				   $(".innerUl .name,.innerUl .rgt").show();
	            }
				 
          });
		    var type="<?php echo api('upload_type'); ?>";
		    if(type==1){
				  var url = "<?php echo url('Attachment/insert'); ?>";
			}else if(type==2){
				  var url = "<?php echo url('Attachment/upfile'); ?>";
			}else{    
			  var url = "<?php echo url('Attachment/update'); ?>";
			}var upload_url="<?php echo url('attachment/upload'); ?>";
			$(".tit").click(function(){
                $(this).next().toggle();
				
				if($(this).find(".rgt").hasClass('icon-arrow')){
				console.log(1);
				   $(this).find(".rgt").attr("class","rgt icon iconfont icon-right2")
				}else{
				  $(this).find(".rgt").attr("class","rgt icon iconfont icon-arrow")
				}
          });					   		
       </script>		 
	
	<script type="text/javascript" src="/im/public/common/upload.js"></script> 
<!-- 头部 --> 

<div class="content none">
				<div class="tips_msg none"><span class="tips">保存成功</span><span class="close_tips"></span></div>
				<div class="edit_title"><?php echo htmlentities((isset($meta_title) && ($meta_title !== '')?$meta_title:"")); ?></div>
				<div class="edit_box">
					<div class="edit_tab">
						<div class="tab_option on">基础</div>
						<div class="tab_option">高级</div>
					</div>
					<div class="edit_content">
					   <form class="group-form"  action="<?php echo url('writeGroup'); ?>" method="post" style="text-indent:20px;margin:20px;line-height:30px;">
						<div class="edit_content_tab">
						   <?php if(is_array($list) || $list instanceof \think\Collection || $list instanceof \think\Paginator): $i = 0; $__LIST__ = $list;if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo): $mod = ($i % 2 );++$i;?>
								 <p><input class="auth_rules rules_all ids row-selected" type="checkbox" name="rules[]" value="<?php echo htmlentities($vo['id']); ?>"><?php echo htmlentities($vo['title']); ?></p>
			
                 <?php if(is_array($vo['child']) || $vo['child'] instanceof \think\Collection || $vo['child'] instanceof \think\Paginator): $i = 0; $__LIST__ = $vo['child'];if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo1): $mod = ($i % 2 );++$i;?>
                   
				                    <p style="padding:0 30px"><input class="ids row-selected" type="checkbox" name="rules[]" value="<?php echo htmlentities($vo1['id']); ?>"><?php echo htmlentities($vo1['title']); ?> </p>
				
				            <?php if(is_array($vo1['child']) || $vo1['child'] instanceof \think\Collection || $vo1['child'] instanceof \think\Paginator): $i = 0; $__LIST__ = $vo1['child'];if( count($__LIST__)==0 ) : echo "" ;else: foreach($__LIST__ as $key=>$vo2): $mod = ($i % 2 );++$i;?>
                   
				                   <span <?php if($i == '1'): ?>style="padding:0 5px 0 60px"<?php endif; ?>> <input class="ids row-selected" type="checkbox" name="rules[]" value="<?php echo htmlentities($vo2['id']); ?>"><?php echo htmlentities($vo2['title']); ?>
				                   </span> 
				
				                      <?php endforeach; endif; else: echo "" ;endif; ?>
				                 <?php endforeach; endif; else: echo "" ;endif; ?>
                                          
											
									
                                    

                                 	<?php endforeach; endif; else: echo "" ;endif; ?>
					  	 </div>
				         <div class="edit_content_tab none">
						   
						 </div>
						 <div class="btn_group">
						    <input type="hidden" name="id" value="<?php echo htmlentities((isset($this_group['id']) && ($this_group['id'] !== '')?$this_group['id']:"")); ?>">
							<div class="confirm_btn">确认</div>
							<div class="cancel_btn">返回</div>
						</div>
						</form> 
					</div>
				</div>
			</div>
		</div>

      <script type="text/javascript">
    $("select[name='pid']").val("<?php echo htmlentities((isset($info['pid']) && ($info['pid'] !== '')?$info['pid']:'')); ?>");
	 $("select[name='group_id']").val("<?php echo htmlentities((isset($info['group_id']) && ($info['group_id'] !== '')?$info['group_id']:'')); ?>");
	
    </script>
    <script type="text/javascript" charset="utf-8">
    
        var rules = [<?php echo htmlentities($this_group['rules']); ?>];
        $('.ids').each(function(){
            if( $.inArray( parseInt(this.value,10),rules )>-1 ){
                $(this).prop('checked',true);
            }
            if(this.value==''){
                $(this).closest('span').remove();
            }
        });

        //全选节点
        $('.rules_all').on('change',function(){
            $(this).closest('dl').find('dd').find('input').prop('checked',this.checked);
        });
        $('.rules_row').on('change',function(){
            $(this).closest('.rule_check').find('.child_row').find('input').prop('checked',this.checked);
        });

        $('.checkbox').each(function(){
            $(this).qtip({
                content: {
                    text: $(this).attr('title'),
                    title: $(this).text()
                },
                position: {
                    my: 'bottom center',
                    at: 'top center',
                    target: $(this)
                },
                style: {
                    classes: 'qtip-dark',
                    tip: {
                        corner: true,
                        mimic: false,
                        width: 10,
                        height: 10
                    }
                }
            });
        });

        $('select[name=group]').change(function(){
			location.href = this.value;
        });
     
    
</script>
 
   	<script>
			
			$(function(){
				initPage();
				window.onresize=function(){
					initPage();
				}
				bindEvent();
			});
			
			function initPage(){
				var contentWidth = $(window).width() -261;
				$(".content").width(contentWidth);
				$(".nav_tree").css("min-height",($(window).height() - 86) + 'px');
				$(".content").css("min-height",($(window).height() - 86) + 'px');
				$(".nav_tree").attr("min-height",$(window).height() - 86);
				$(".content").attr("min-height",$(window).height() - 86);
				
				$(".edit_box").css("width",($(window).width() - 271) + 'px');
				$(".content").removeClass("none");
				var currentRightHeight = $(".content").height();
				var currentNavHeight = $(".nav_tree").height();
				if(currentRightHeight < currentNavHeight){
					if($(".tips_msg:hidden").length > 0){
						$(".edit_box").css("height",$(".content").height() + (currentNavHeight - currentRightHeight));
					}else{
						$(".edit_box").css("height",$(".edit_box").height() + (currentNavHeight - currentRightHeight));
					}
				}else{
					$(".nav_tree").css("min-height",$(".nav_tree").height() + (currentRightHeight - currentNavHeight));
				}
			}
			
			function bindEvent(){
				$(".p_menue").on('click',function(){
					if($(this).parent(".menue").hasClass("down")){
						$(this).parent(".menue").removeClass("down").addClass("up");
					}else{
						$(this).parent(".menue").removeClass("up").addClass("down");
					}
					calculateHeight();
				});
				$(".c_menue_item").on("click",function(){
					if(!$(this).hasClass("checked")){
						$(".nav_tree_list .c_menue_item").removeClass("checked");
						$(this).addClass("checked");
					}
				})
					$(".close_tips").click(function(){
					$(".tips_msg").hide();
					calculateHeight();
				});
				$(".tab_option").click(function(){
					if(!$(this).hasClass("on")){
						var index = $(".tab_option").index($(this));
						$($(".edit_content_tab").get(index)).removeClass("none").siblings(".edit_content_tab").addClass("none");
						$(this).addClass("on").siblings().removeClass("on");
					}
					calculateHeight();
				});
			}
			
			function calculateHeight(){
				var currentRightHeight = $(".content").height();
				var currentNavHeight = $(".nav_tree").height();
				if(currentRightHeight < currentNavHeight){
					if($(".tips_msg:hidden").length > 0){
						$(".edit_box").css("height",$(".content").height() + (currentNavHeight - currentRightHeight));
					}else{
						$(".edit_box").css("height",$(".edit_box").height() + (currentNavHeight - currentRightHeight));
					}
				}else{
					if(currentNavHeight > $(".nav_tree").attr("min-height")){
						$(".edit_box").css("height",$(".edit_box").height() + (currentNavHeight - currentRightHeight));
					}else{
						$(".edit_box").css("height",$(".edit_box").height() + ( $(".nav_tree").attr("min-height") - currentRightHeight));
					}
				}
			}
			
		</script>
	 <!-- 头部 -->
	
<script src="/im/public/admin/js/common.js"></script>  

<script>
var html='<footer style=""><p> Powered by <a href="http://www.bycms.cn/" target="_blank">bymall V1.0</a> </p></footer>';

$(".content").append(html);
var sid="<?php echo input('module_id')?input('module_id'):$now['id']; ?>";var obj=$("a#"+sid);$(obj).parents("li").eq(0).addClass("active");
</script>
</body>
</html>
<!-- 头部 --> 
